org.deidentifier.arx.metric.v2

## Class IO

- java.lang.Object
- - org.deidentifier.arx.metric.v2.IO

    public class IO
    extends java.lang.Object

This class implements serialization for maps

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`IO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.carrotsearch.hppc.LongObjectOpenHashMap<org.apache.commons.math3.fraction.BigFraction>` `readLongBigFractionOpenHashMap(java.io.ObjectInputStream stream)` Reads a LongObjectOpenHashMap of the type BigFraction from the stream.
`static com.carrotsearch.hppc.LongDoubleOpenHashMap` `readLongDoubleOpenHashMap(java.io.ObjectInputStream stream)` Reads a LongDoubleOpenHashMap from the stream.
`static void` `writeLongBigFractionOpenHashMap(java.io.ObjectOutputStream stream, com.carrotsearch.hppc.LongObjectOpenHashMap<org.apache.commons.math3.fraction.BigFraction> hashmap)` Writes a LongObjectOpenHashMap of the type BigFraction to the stream.
`static void` `writeLongDoubleOpenHashMap(java.io.ObjectOutputStream stream, com.carrotsearch.hppc.LongDoubleOpenHashMap hashmap)` Writes a LongDoubleOpenHashMap to the stream.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IO

    public IO()

### Method Detail

#### readLongDoubleOpenHashMap

    public static com.carrotsearch.hppc.LongDoubleOpenHashMap readLongDoubleOpenHashMap(java.io.ObjectInputStream stream)
                                                                                 throws java.lang.ClassNotFoundException,
                                                                                        java.io.IOException

Reads a LongDoubleOpenHashMap from the stream.

Parameters:
  `stream` -
Returns:
Throws:
  `java.lang.ClassNotFoundException`
  `java.io.IOException`

#### readLongBigFractionOpenHashMap

    public static com.carrotsearch.hppc.LongObjectOpenHashMap<org.apache.commons.math3.fraction.BigFraction> readLongBigFractionOpenHashMap(java.io.ObjectInputStream stream)
                                                                                                                                     throws java.lang.ClassNotFoundException,
                                                                                                                                            java.io.IOException

Reads a LongObjectOpenHashMap of the type BigFraction from the stream.

Parameters:
  `stream` -
Returns:
Throws:
  `java.lang.ClassNotFoundException`
  `java.io.IOException`

#### writeLongDoubleOpenHashMap

    public static void writeLongDoubleOpenHashMap(java.io.ObjectOutputStream stream,
                                                  com.carrotsearch.hppc.LongDoubleOpenHashMap hashmap)
                                           throws java.io.IOException

Writes a LongDoubleOpenHashMap to the stream.

Parameters:
  `stream` -
  `hashmap` -
Throws:
  `java.io.IOException`

#### writeLongBigFractionOpenHashMap

    public static void writeLongBigFractionOpenHashMap(java.io.ObjectOutputStream stream,
                                                       com.carrotsearch.hppc.LongObjectOpenHashMap<org.apache.commons.math3.fraction.BigFraction> hashmap)
                                                throws java.io.IOException

Writes a LongObjectOpenHashMap of the type BigFraction to the stream.

Parameters:
  `stream` -
  `hashmap` -
Throws:
  `java.io.IOException`